/* Catalog Page */
.categories-list {
  display: flex;
  flex-wrap: wrap;
  margin: 0 -10px 4px;
}

.categories-list__item {
  flex: 0 0 auto;
  width: 25%;
  padding: 0 10px 20px;
  display: flex;
}

.category-item {
  width: 100%;
  display: flex;
  align-items: center;
  column-gap: 14px;
  padding: 10px;
  border: 1px solid var(--line-color);
  border-radius: 10px;
  color: inherit;
  text-decoration: none;
}

.category-item:hover {
  color: var(--accent-color);
  border-color: var(--accent-color);
}

.category-item__image {
  flex: 0 0 auto;
  width: 80px;
  border-radius: 5px;
  position: relative;
  align-self: flex-start;
  background-color: var(--light-grey-bg);
}

.category-item__image:before {
  content: "";
  display: block;
  padding-top: 100%;
}

.category-item__image img {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  border-radius: 5px;
  object-fit: cover;
}

.category-item__title {
  font-size: 14px;
  line-height: 20px;
  font-weight: 500;
  margin-top: -2px;
  margin-bottom: 4px;
}

.category-item__subtitle {
  font-size: 13px;
  line-height: 20px;
  color: var(--secondary-color);
}

@media (max-width: 1399.98px) {
  .categories-list__item {
    width: 33.33%;
  }
}

@media (max-width: 991.98px) {
  .categories-list {
    margin-left: -4px;
    margin-right: -4px;
  }

  .categories-list__item {
    padding: 0 4px 8px;
  }

  .category-item {
    padding: 8px;
    column-gap: 8px;
  }

  .category-item__image {
    width: 60px;
  }

  .category-item__title {
    font-size: 12px;
    line-height: 18px;
    margin-top: 0;
  }

  .category-item__subtitle {
    font-size: 11px;
    line-height: 18px;
  }
}

@media (max-width: 767.98px) {
  .categories-list__item {
    width: 50%;
  }
}

@media (max-width: 575.98px) {
  .categories-list__item {
    width: 100%;
  }
}

.catalog-nav {
  font-size: 14px;
  line-height: 22px;
  border-bottom: 1px solid var(--line-color);
  padding-bottom: 24px;
  margin-bottom: 20px;
  --column-gap: 14px;
}

.catalog-nav ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

.catalog-nav li {
  display: inline;
}

.catalog-nav:not(.is-open) li.is-hidden {
  display: none;
}

.catalog-nav li:after {
  content: "";
  display: inline-block;
  vertical-align: middle;
  width: 5px;
  height: 5px;
  border-radius: 50%;
  background-color: var(--accent-color);
  margin: 0 11px;
}

.catalog-nav li:last-child:after {
  display: none;
}

.catalog-nav a {
  color: inherit;
  text-decoration: none;
}

.catalog-nav a:hover {
  color: var(--accent-color);
}

.catalog-nav__more-btn {
  vertical-align: baseline;
  font-weight: 500;
  color: var(--accent-color);
}

.catalog-nav__more-btn:hover {
  color: var(--main-color);
}

.catalog-nav.is-open .catalog-nav__more-btn > span {
  display: none;
}

.catalog-nav.is-open .catalog-nav__more-btn:before {
  content: attr(data-hidetext);
}

.catalog-control {
  display: flex;
  align-items: center;
  margin: 0 calc(-0.5 * var(--gutter-x)) 20px;
}

.catalog-control__filter {
  flex: 0 0 auto;
  width: 16.6667%;
  padding: 0 calc(0.5 * var(--gutter-x));
}

.filter-btn {
  font-size: 14px;
  line-height: 20px;
  font-weight: 500;
  color: var(--main-color);
  column-gap: 10px;
  white-space: nowrap;
}

.filter-btn:hover {
  color: var(--accent-color);
}

.filter-btn__icon {
  flex-shrink: 0;
  color: var(--accent-color);
}

.filter-btn__icon .icon {
  width: 20px;
  height: 20px;
}

@media (min-width: 1200px) {
  html.is-filter-hidden .filter-btn__icon-close,
  html:not(.is-filter-hidden) .filter-btn__icon-open {
    display: none;
  }

  html.is-filter-hidden .filter-btn__text > span {
    display: none;
  }

  html.is-filter-hidden .filter-btn__text:after {
    content: attr(data-showtext);
  }
}

.catalog-control__sort {
  padding: 0 calc(0.5 * var(--gutter-x));
}

.catalog-control__type {
  padding: 0 calc(0.5 * var(--gutter-x));
  margin-left: auto;
}

.catalog-type {
  display: flex;
  column-gap: 1px;
}

.catalog-type__btn {
  background: var(--grey-bg);
  color: var(--secondary-color);
  border: none;
  padding: 0;
  width: 44px;
  height: 36px;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}

.catalog-type__btn:hover {
  background-color: var(--light-blue-bg);
  color: var(--accent-color);
}

.catalog-type__btn:first-child {
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
}

.catalog-type__btn:last-child {
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
}

.catalog-wrapper[data-type="table"] .catalog-type__btn[data-type="table"],
.catalog-wrapper[data-type="list"] .catalog-type__btn[data-type="list"],
.catalog-wrapper[data-type="grid"] .catalog-type__btn[data-type="grid"] {
  background-color: var(--main-color);
  color: var(--accent-color);
}

.catalog-type__btn .icon {
  width: 20px;
  height: 20px;
}

.filter {
}

.filter__content {
  margin-bottom: 15px;
}

.filter__section {
  border-top: 1px solid var(--line-color);
  border-bottom: 1px solid var(--line-color);
  margin-bottom: -1px;
  padding: 6px 0;
}

.filter__content .filter__section:last-child {
  border-bottom: none;
  margin-bottom: 0;
}

.filter__section_switch {
  padding: 14px 0;
}

.filter__section-header {
  border: none;
  padding: 8px 0;
  background: none;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
  font-size: 14px;
  line-height: 22px;
}

.filter__section-header:hover {
  color: var(--secondary-color);
}

.filter__section-title {
  font-weight: 600;
  text-align: left;
}

.filter__section-title .tooltip-icon {
  color: var(--accent-color);
}

.filter__section-arrow {
  flex-shrink: 0;
  width: 10px;
  height: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left: 10px;
}

.filter__section-arrow .icon {
  width: 10px;
  height: 10px;
}

.filter__section.is-open .filter__section-arrow {
  transform: rotate(180deg);
}

.filter__section:not(.is-open) .filter__section-content {
  display: none;
}

.filter__section-content {
  padding-bottom: 8px;
}

.filter__search {
  position: relative;
  margin-bottom: 20px;
}

.filter__search-input {
  padding-left: 15px;
  padding-right: 35px;
}

.filter__search-btn {
  position: absolute;
  right: 0;
  top: 0;
  border: none;
  padding: 0;
  background: none;
  color: var(--accent-color);
  width: 44px;
  height: 44px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.filter__search-btn:hover {
  color: var(--main-color);
}

.filter__search-btn .icon {
  width: 20px;
  height: 20px;
}

.filter__checklist {
  margin-bottom: -10px;
}

.filter__checklist-item {
  margin-bottom: 15px;
}

.filter .form-check,
.filter .form-switch {
  margin: 0;
  font-weight: 500;
}

.filter .form-check input ~ span {
  padding-left: 30px;
}

.filter .form-check small,
.filter .form-switch small {
  font-weight: normal;
}

.filter__checklist-more {
  display: none;
  margin-bottom: 12px;
  margin-top: 13px;
}

.filter__checklist:not(.is-searched):not(.is-open)
  .filter__checklist-item:nth-child(n + 6) {
  display: none !important;
}

.filter__checklist:not(.is-searched)
  .filter__checklist-item:nth-child(n + 6)
  ~ .filter__checklist-more {
  display: block;
}

.filter__checklist.is-searched .filter__checklist-item.is-search-hidden {
  display: none;
}

.filter__checklist-more-btn {
  font-size: 14px;
  line-height: 20px;
  font-weight: 600;
}

.filter__checklist.is-open .filter__checklist-more-btn > span {
  display: none;
}

.filter__checklist.is-open .filter__checklist-more-btn:after {
  content: attr(data-hide-text);
}

.filter__range {
}

.filter__range-inputs {
  display: flex;
  align-items: center;
}

.filter__range-input-field {
  flex-basis: 0;
  flex-grow: 1;
  min-width: 1px;
}

.filter__range-input {
  padding-left: 0;
  padding-right: 0;
  text-align: center;
}

.filter__range-sep {
  flex-shrink: 0;
  width: 20px;
}

.filter__range-slider {
  margin: 20px 9px 9px;
}

.filter__footer {
  position: sticky;
  bottom: 0;
  z-index: 1;
}

.filter__footer .btn {
  padding-left: 0;
  padding-right: 0;
  width: 100%;
  column-gap: 10px;
}

.filter__footer .btn .icon {
  width: 20px;
  height: 20px;
}

.filter__reset-btn.is-hidden {
  display: none;
}

.filter-tags {
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  gap: 5px;
  margin-bottom: 30px;
}

.filter-tags:not(.is-visible) {
  display: none;
}

.filter-tags__content {
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  gap: 5px;
  display: contents;
}

.filter-tag,
.filter-reset-btn {
  font-size: 13px;
  line-height: 22px;
  color: var(--main-color);
  cursor: pointer;
  border-radius: 100px;
  display: inline-block;
  vertical-align: top;
  position: relative;
  user-select: none;
  padding: 3px 30px 3px 15px;
}

.filter-tag:hover,
.filter-reset-btn:hover {
  background-color: var(--light-blue-bg2);
  border-color: var(--light-blue-bg2);
  color: var(--white-color);
}

.filter-tag {
  background: var(--light-blue-bg);
  border: 1px solid var(--light-blue-bg);
}

.filter-reset-btn {
  background: none;
  border: 1px solid var(--light-blue-bg2);
}

.filter-tag:after,
.filter-reset-btn:after {
  content: "";
  position: absolute;
  top: 50%;
  margin-top: -8px;
  right: 6px;
  width: 16px;
  height: 16px;
  background-image: url("data:image/svg+xml,%3Csvg viewBox='0 0 16 16' fill='%238fb3c8' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M8 0a8 8 0 0 0-8 8 8 8 0 1 0 16 0 8 8 0 0 0-8-8Zm0 1c3.86 0 7 3.141 7 7s-3.14 7-7 7-7-3.141-7-7 3.14-7 7-7Z'/%3E%3Cpath d='M10.86 5.847 8.709 8l2.153 2.154a.5.5 0 0 1-.707.707L8 8.707 5.846 10.86a.498.498 0 0 1-.707 0 .5.5 0 0 1 0-.707L7.294 8 5.139 5.847a.5.5 0 0 1 .707-.707L8 7.293l2.153-2.153a.5.5 0 0 1 .707.707Z'/%3E%3C/svg%3E");
  background-position: 0 0;
  background-repeat: no-repeat;
  background-size: 100% 100%;
}

.filter-tag:hover:after,
.filter-reset-btn:hover:after {
  background-image: url("data:image/svg+xml,%3Csvg viewBox='0 0 16 16' fill='%23fff' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M8 0a8 8 0 0 0-8 8 8 8 0 1 0 16 0 8 8 0 0 0-8-8Zm0 1c3.86 0 7 3.141 7 7s-3.14 7-7 7-7-3.141-7-7 3.14-7 7-7Z'/%3E%3Cpath d='M10.86 5.847 8.709 8l2.153 2.154a.5.5 0 0 1-.707.707L8 8.707 5.846 10.86a.498.498 0 0 1-.707 0 .5.5 0 0 1 0-.707L7.294 8 5.139 5.847a.5.5 0 0 1 .707-.707L8 7.293l2.153-2.153a.5.5 0 0 1 .707.707Z'/%3E%3C/svg%3E");
}

@media (max-width: 767.98px) {
  .filter-tags {
    flex-wrap: nowrap;
    overflow: hidden;
    overflow-x: auto;
    padding-bottom: 5px;
    margin-bottom: 20px;
  }

  .filter-tags__content {
    flex-wrap: nowrap;
  }

  .filter-tag,
  .filter-reset-btn {
    flex-shrink: 0;
    white-space: nowrap;
  }
}

@media (max-width: 575.98px) {
  .filter-tags {
    margin-left: -15px;
    margin-right: -15px;
    padding-left: 15px;
    padding-right: 15px;
  }
}

.aside-menu {
  margin-top: 23px;
  font-size: 14px;
  line-height: 22px;
}

.aside-menu:first-child {
  margin-top: 0;
}

.aside-menu ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

.aside-menu a {
  display: flex;
  align-items: center;
  color: inherit;
  text-decoration: none;
  padding: 5px 0;
  column-gap: 8px;
  transition: none;
  font-weight: 600;
}

.aside-menu a:hover {
  color: var(--secondary-color);
}

.aside-menu a > span:first-child {
  flex-grow: 1;
  min-width: 1px;
}

.aside-menu__arrow {
  flex-shrink: 0;
  width: 10px;
  height: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left: 10px;
}

.aside-menu__arrow .icon {
  width: 10px;
  height: 10px;
}

.aside-menu li > ul {
  display: none;
}

.aside-menu li.is-open > ul {
  display: block;
}

.aside-menu li ul ul a {
  font-weight: normal;
  padding-left: 10px;
}

.aside-menu > ul > li {
  padding: 8px 10px;
  border-bottom: 1px solid var(--line-color);
}

.aside-menu > ul > li.is-open {
  background: var(--light-blue-bg);
  background-clip: padding-box;
  border-radius: 3px;
}

.aside-menu > ul > li:has(~ li.is-open),
.aside-menu > ul > li.is-open {
  border-color: transparent;
}

.aside-menu > ul > li.is-open a:hover {
  color: var(--light-blue);
}

.aside-menu > ul > li.is-open .aside-menu__arrow {
  color: var(--light-blue);
}

.aside-menu li.is-open > a > .aside-menu__arrow {
  transform: rotate(180deg);
}

@media (max-width: 1199.98px) {
  .aside-menu {
    display: none;
  }
}

.catalog-footer {
  position: relative;
  padding: 0 130px;
  margin-top: 40px;
}

.catalog-footer__aside {
  position: absolute;
  left: 0;
  top: 10px;
}

.catalog-footer__content {
}

.catalog-layout {
  display: flex;
  margin-left: calc(-0.5 * var(--gutter-x));
  margin-right: calc(-0.5 * var(--gutter-x));
}

.catalog-layout__aside {
  flex: 0 0 auto;
  width: 16.666666%;
  padding: 0 calc(0.5 * var(--gutter-x));
}

.catalog-layout__content {
  flex: 0 0 auto;
  width: 83.333333%;
  padding: 0 calc(0.5 * var(--gutter-x));
}

.catalog {
  display: flex;
  flex-wrap: wrap;
  margin: 0 calc(-0.5 * var(--gutter-x));
}

.catalog__item {
  display: flex;
  flex: 0 0 auto;
  width: 33.33%;
  padding: 0 calc(0.5 * var(--gutter-x));
  margin-bottom: 50px;
}

@media (max-width: 991.98px) {
  .catalog__item {
    width: 33.33%;
  }
}

@media (max-width: 767.98px) {
  .catalog__item {
    width: 50%;
  }
}

@media (max-width: 575.98px) {
  .catalog__item {
    width: 100%;
  }

  .catalog._mobile-products-2 {
    --gutter-x: 10px;
  }

  .catalog._mobile-products-2 .catalog__item {
    width: 50%;
  }
}

.catalog-wrapper[data-type="list"] .catalog {
  margin-left: 0;
  margin-right: 0;
}

.catalog-wrapper[data-type="list"] .catalog__item {
  width: 100%;
  border-bottom: 1px solid var(--line-color);
  padding: 0 0 20px;
  margin-bottom: 20px;
}

.catalog-wrapper[data-type="list"] .catalog__item:last-child {
  border-bottom: none;
}

@media (max-width: 575.98px) {
  .catalog-wrapper[data-type="list"] .catalog__item {
    padding-bottom: 10px;
    margin-bottom: 10px;
  }
}

@media (min-width: 992px) {
  .catalog-wrapper[data-type="table"] .catalog {
    margin-left: 0;
    margin-right: 0;
  }

  .catalog-wrapper[data-type="table"] .catalog__item {
    width: 100%;
    border-bottom: 1px solid var(--line-color);
    padding: 0 0 22px;
    margin-bottom: 30px;
  }

  .catalog-wrapper[data-type="table"] .catalog__item:last-child {
    border-bottom: none;
  }
}

@media (min-width: 1200px) {
  html.is-filter-hidden .catalog-layout__aside {
    width: 0;
    padding: 0;
  }

  html.is-filter-hidden .catalog-layout__content {
    width: 100%;
  }

  html.is-filter-hidden .catalog__item {
    width: 25%;
  }

  html.is-filter-hidden .catalog-layout__aside > .filter,
  html.is-filter-hidden
    .catalog-layout__aside
    > .filter-popup:not(.filter-popup_desktop),
  html.is-filter-hidden .catalog-layout__aside > .aside-menu {
    display: none;
  }

  .filter-popup__bg,
  .filter-popup__close {
    display: none;
  }

  .filter-popup_desktop {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: 90001;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    visibility: hidden;
    backface-visibility: hidden;
    transition: 0.25s ease-in-out;
  }

  html.is-filter-open .filter-popup_desktop {
    opacity: 1;
    visibility: visible;
  }

  .filter-popup_desktop .filter-popup__bg {
    display: block;
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.5);
    cursor: pointer;
  }

  .filter-popup_desktop .filter-popup__inner {
    width: 100%;
    max-width: 1064px;
    margin: auto;
    background: var(--white-color);
    box-shadow: var(--box-shadow);
    border-radius: 10px;
    position: relative;
    max-height: 95%;
    display: flex;
    flex-direction: column;
  }

  .filter-popup_desktop .filter-popup__close {
    display: block;
    position: absolute;
    right: 24px;
    top: 24px;
  }

  .filter-popup_desktop .filter-popup__header {
    flex-shrink: 0;
    padding: 54px 92px 30px;
  }

  .filter-popup_desktop .filter-popup__title {
    font-size: 30px;
    line-height: 38px;
    font-weight: 600;
    margin: 0 0 22px;
  }

  .filter-popup_desktop .filter-popup__tags .filter-tags {
    margin: 0;
  }

  .filter-popup_desktop .filter-popup__content {
    flex-grow: 1;
    min-height: 1px;
    overflow-y: auto;
    overscroll-behavior: contain;
    -webkit-overflow-scrolling: touch;
    padding: 0 92px 54px;
  }

  .filter-popup_desktop .filter__row {
    display: flex;
    column-gap: 50px;
  }

  .filter-popup_desktop .filter__col {
    flex-basis: 0;
    flex-grow: 1;
    min-width: 1px;
  }
}

@media (max-width: 1399.98px) {
  .catalog-control__filter {
    width: 20%;
  }

  .catalog-layout__aside {
    width: 20%;
  }

  .catalog-layout__content {
    width: 80%;
  }
}

@media (max-width: 1199.98px) {
  .catalog-control__filter {
    width: 190px;
    padding: 0 calc(0.5 * var(--gutter-x));
  }

  .filter-btn__icon-close {
    display: none;
  }

  .filter-btn__text > span {
    display: none;
  }

  .filter-btn__text:after {
    content: attr(data-showtext);
  }

  .catalog-layout {
    display: block;
    margin-left: 0;
    margin-right: 0;
  }

  .catalog-layout__aside {
    width: 0;
    padding-left: 0;
    padding-right: 0;
  }

  .catalog-layout__content {
    width: auto;
    padding-left: 0;
    padding-right: 0;
  }

  .catalog-layout__aside > .filter {
    display: none;
  }

  .filter-popup__bg {
    display: block;
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: 90001;
    background: rgba(0, 0, 0, 0.5);
    cursor: pointer;
    opacity: 0;
    visibility: hidden;
    backface-visibility: hidden;
    transition: 0.25s ease-in-out;
  }

  html.is-filter-open .filter-popup__bg {
    opacity: 1;
    visibility: visible;
  }

  .filter-popup__inner {
    position: fixed;
    z-index: 90002;
    top: 0;
    bottom: 0;
    left: -300px;
    width: 300px;
    background: #fff;
    display: flex;
    flex-direction: column;
    backface-visibility: hidden;
    transition: 0.25s ease-in-out;
  }

  html.is-filter-open .filter-popup__inner {
    transform: translateX(100%);
    box-shadow: 2px 0 6px rgba(0, 0, 0, 0.4);
  }

  .filter-popup__close {
    display: block;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1;
  }

  .filter-popup__header {
    display: none;
  }

  .filter-popup__content {
    flex-grow: 1;
    min-height: 1px;
    overflow-y: auto;
    overscroll-behavior: contain;
    -webkit-overflow-scrolling: touch;
  }

  .filter__section {
    padding-left: 15px;
    padding-right: 15px;
  }

  .catalog-footer {
    padding: 0;
  }

  .catalog-footer__aside {
    position: static;
    margin-bottom: 15px;
  }
}

@media (max-width: 991.98px) {
  .catalog-type__btn[data-type="table"] {
    display: none;
  }

  .catalog-type__btn[data-type="list"] {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
  }

  .catalog-wrapper[data-type="table"] .catalog-type__btn[data-type="grid"] {
    background-color: var(--main-color);
    color: var(--accent-color);
  }
}

@media (max-width: 767.98px) {
  .catalog-control__filter {
    width: auto;
  }

  .filter-btn__text {
    display: none;
  }
}
/* ! Catalog Page */
